package constants;

public enum AuthServerNamecpu {//授权码
    benji("33e180f4a610d7a5be827438d2104e414e2d7faa"),
    benji1("c5e7ef9998b7320296e64c1cba00b5c4847d94fe"),
    benji2("221da9844326909d11aafd6d55bff0668a99733f"),
    benji3("8b85ac99038a1382b0031cb0dd0aa9df2101d62a"),
    ;

    String mac;

    private AuthServerNamecpu(String mac) {
        this.mac = mac;
    }

    public String getMac() {
        return mac;
    }

    public static AuthServerNamecpu getName(String mac) {
        for (AuthServerNamecpu n : AuthServerNamecpu.values()) {
            if (n.getMac().equals(mac)) {
                return n;
            }
        }
        return null;
    }
}
